Skip to main content
GET
/
metrics
/
{metric_id}
Get metric
curl --request GET \
  --url https://api.example.com/metrics/{metric_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "name": "<string>",
  "description": "<string>",
  "project_id": "<string>",
  "project_name": "<string>",
  "preset": true,
  "agent_name": "<string>",
  "sampling_rate": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "total_events": 123,
  "recent_events": [
    {
      "id": "<string>",
      "trace_id": "<string>",
      "created_at": "<string>",
      "value": "<unknown>"
    }
  ],
  "monitor": {
    "threshold": 123,
    "interval_value": 123,
    "latest_status": "<string>",
    "latest_value": null
  },
  "collection_config": null
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

metric_id
string
required

Response

Metric details

id
string
required
name
string
required
description
string | null
required
type
enum<string>
required
Available options:
SYNTHETIC,
OBSERVED
collection_type
enum<string> | null
required
Available options:
BINARY,
VALUE,
FLAG,
null
project_id
string
required
project_name
string
required
preset
boolean
required
agent_name
string | null
required
sampling_rate
number | null
required
created_at
string<date-time> | null
required
total_events
number
required
recent_events
object[]
required
monitor
object
required
collection_config
null